cl.cromer.estructuras

## Class Cola

- java.lang.Object
- - cl.cromer.estructuras.Cola

    public final class Cola
    extends java.lang.Object

Crear una estructura de dato de tipo cola.

Author:
  Chris Cromer

### Field Summary

Fields
`private java.lang.String[]` `cola` La cola.
`private int` `size` La cantidad de elementos que están en la cola.

### Constructor Summary

Constructors
Constructor and Description
`Cola()` Inicializar.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getIndice(int indice)` Devolver el valor que está en un indice de la cola.
`void` `llenar()` Llenar la cola con valores al azar.
`int` `peek()` Peek al valor que está al principio de la cola.
`boolean` `pop()` Pop un valor del principio de la cola.
`void` `push(int valor)` Push un valor en la cola encima.
`int` `size()` Devolver la cantidad de elementos que están en la cola.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### cola

    private java.lang.String[] cola

La cola.

#### size

    private int size

La cantidad de elementos que están en la cola.

### Constructor Detail

#### Cola

    public Cola()

Inicializar.

### Method Detail

#### push

    public void push(int valor)

Push un valor en la cola encima.

Parameters:
  `valor` - int: El valor a push.

#### pop

    public boolean pop()

Pop un valor del principio de la cola.

Returns:
  boolean: Verdad si fue exitoso.

#### peek

    public int peek()

Peek al valor que está al principio de la cola.

Returns:
  int: El valor que está al principio de la cola.

#### llenar

    public void llenar()

Llenar la cola con valores al azar.

#### size

    public int size()

Devolver la cantidad de elementos que están en la cola.

Returns:
  int: La cantidad de elementos.

#### getIndice

    public java.lang.String getIndice(int indice)

Devolver el valor que está en un indice de la cola.

Parameters:
  `indice` - int: El indice que desea devolver.
Returns:
  String: El valor que está guardado en el indice.